summaryrefslogtreecommitdiff
path: root/contrib/raw/VerifyImages.sh
diff options
context:
space:
mode:
Diffstat (limited to 'contrib/raw/VerifyImages.sh')
-rwxr-xr-xcontrib/raw/VerifyImages.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/contrib/raw/VerifyImages.sh b/contrib/raw/VerifyImages.sh
new file mode 100755
index 00000000..5975f7cf
--- /dev/null
+++ b/contrib/raw/VerifyImages.sh
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+grep -h '; RECEIPT: ' \
+ *.dat \
+ */*.dat \
+ | sed 's,\W*; RECEIPT: ,,g' \
+ | tr , '\n' \
+ | sort -u \
+ | while read X
+do
+ [ -f "$X" ] \
+ && echo OK $X \
+ || echo XX $X
+done